import React, { useEffect } from 'react'
import { Switch } from 'antd'

const SwitchSelector = (props) => {

  const { value, onChange, schema, addons } = props
  const { disabled, presetValue } = schema

  console.log('props', props)

  useEffect(() => {
    if (addons) {
      addons.setValue(addons.dataPath, presetValue)
    } else {
      onChange(presetValue)
    }
  }, [presetValue])

  const switchChange = (checked) => {
    if (addons) {
      onChange(checked)
    }
  }

  return (
    <Switch
      checked={value}
      disabled={disabled}
      checkedChildren={'开启'}
      unCheckedChildren="关闭"
      onChange={switchChange}
    >

    </Switch>
  )

}

export default SwitchSelector